C API Functions

## udbLibraryName

### Description

Return the name associated with the specified library. The name is temporary.

Currently only applies to Understand for Ada databases and only the "standard" Ada library is supported. Future versions of Understand will support libraries.

### Syntax

     #include "udb/udb.h"
     char  *udbLibraryName(UdbLibrary)

### Arguments

Argument | description
UdbLibrary library | Specify the library

### Return Values

Return Value | description
char * | Returns a temporary name associated with the specified library or NULL if the entity is not associated with a library.

### Example Usage

     library = udbEntityLibrary(entity);
    if (library) {
        printf ("%s is in library %s\n",
                      udbEntityNameLong(entity),
                      udbLibraryName(library) );
    }

### See Also

udbEntityLibrary to get the library associated with an entity.

udbLibraryList to get a filtered list of libraries.

udbLibraryCheckEntity to check if an entity is in the specified library list.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com